# spec file for package fruit21 (Version 2.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# norootforbuild

Summary:        A very strong, UCI compatible Chess engine
Name:           fruit21
Version:        2.1
Release:        1.3
License:        GPL v2
Group:          Amusements/Games/Board/Chess
URL:            http://www.fruitchess.com/index.htm
# Sources taken from debian upstream (did not find them on the official homepage)
Source:         fruit_2.1.dfsg.orig.tar.bz2
Source1:	x%{name}
Source2:	%{name}.sh
Source3:	%{name}-polyglot.sh
Source4:	fruit.6
Source5:	%{name}.ini
Source6:	Performance.bin
Patch0:		%{name}-Makefile.patch
Patch1:         %{name}-openSUSE-Factory-fix_linking.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  gcc-c++ dos2unix
AutoReqProv:    on
Recommends:	polyglot xboard

%description
This is a very strong chess engine, placed second in the 13th world computer chess championship 2005. 
It uses the UCI (universal chess interface), for chess engines as communication protocol. 
If you want to play against it, you will have to use an UCI capable interface, like scid.
This distribution comes with an opening book of moves that the engine can use for the first few moves of the game.
Using an opening book increases performance in the chess games opening.

As fruit21 uses UCI (universal chess interface) you will need a uci-compliant user interface to play against fruit21.
You can also use polyglot as an "UCI to xboard"-adapter to use togaII with xboard-compatible programs.

Fruit 2.1 was the last version released under GPL (v2); newer versions are closed source but available free of charge.

See http://www.superchessengine.com/ and http://wbec-ridderkerk.nl/ for more information.

Authors:
--------
		Fabien Letouzey <fabien_letouzey@hotmail.com>
		Oliver Korff <ok@xynyx.de> (manual page, taken from Debian upstream)
		Marc Lacrosse (opening book "Performance.bin")



%prep
%setup -q -n fruit-2.1.dfsg-1.orig
%patch0 -p0
%if 0%{?suse_version} >= 1120
%patch1 -p0
%endif
dos2unix copying.txt readme.txt technical_10.txt

%build
pushd src/
# use Performance.bin as default book
sed -i 's/book_small/Performance/g' option.cpp
%{__make}
popd

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6/
install -m 755 src/fruit $RPM_BUILD_ROOT%{_bindir}/%{name}.bin
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/x%{name}
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/%{name}-polyglot
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/man6/
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT%{_datadir}/%{name}/

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %{_mandir}/man6/fruit.6* 
%doc copying.txt  readme.txt technical_10.txt
%{_bindir}/*%{name}*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%changelog
* Mon Aug 31 2009 AxelKoellhofer@web.de
- added a polyglot startup script (i.e. for use with xboard)
  simply typing "xboard -fcp fruit21-polyglot" (engine = white) 
  or "xboard -scp fruit21-polyglot" (engine = black) will work
* Thu Aug 27 2009 AxelKoellhofer@web.de
- modified startup
  The two scripts /usr/bin/fruit21 and /usr/bin/xfruit21
  both check if there is a $HOME/.fruit21 directory
  containing an opening book and a polyglot ini-file;
  if not, the files are copied from /usr/share/fruit21.
  In this way every user can run a "personalized" configuration
  as all of the configuration stuff is handled within $HOME.
* Wed Aug 26 2009 AxelKoellhofer@web.de
- fixed wrong error message in xboard-script if polyglot is not installed
* Sun Aug 23 2009 AxelKoellhofer@web.de
- first build for openSUSE, version 2.1

